Debian Bug report logs - #690000
guake lacks python-xdg as a dependency.

version graph

Package: guake; Maintainer for guake is Sylvestre Ledru <sylvestre@debian.org>; Source for guake is src:guake.

Reported by: Bartek Krawczyk <bbartlomiej@gmail.com>

Date: Mon, 8 Oct 2012 21:18:16 UTC

Severity: serious

Merged with 674086, 674087, 676629

Found in versions guake/0.4.3-1, guake/0.4.2-10, guake/0.4.3-2

Fixed in version guake/0.4.3-3

Done: Sylvestre Ledru <sylvestre@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Sylvestre Ledru <sylvestre@debian.org>:
Bug#690000; Package guake. (Mon, 08 Oct 2012 21:18:20 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bartek Krawczyk <bbartlomiej@gmail.com>:
New Bug report received and forwarded. Copy sent to Sylvestre Ledru <sylvestre@debian.org>. (Mon, 08 Oct 2012 21:18:20 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Bartek Krawczyk <bbartlomiej@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: guake lacks python-xdg as a dependency.
Date: Mon, 08 Oct 2012 23:16:53 +0200
Package: guake
Version: 0.4.3-2
Severity: important

After running apt-get install guake it doesn't start saying:
bartek@purple:~$ guake
Traceback (most recent call last):
  File "/usr/bin/guake", line 35, in <module>
    from xdg.DesktopEntry import DesktopEntry
ImportError: No module named xdg.DesktopEntry


after doing apt-get install python-xdg manually, everything is OK. It seems that guake lacks having python-xdg as a dependency.


-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: amd64 (x86_64)

Kernel: Linux 3.2.0-3-amd64 (SMP w/4 CPU cores)
Locale: LANG=pl_PL.UTF-8, LC_CTYPE=pl_PL.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages guake depends on:
ii  gconf2                               3.2.5-1+build1
ii  libatk1.0-0                          2.4.0-2
ii  libc6                                2.13-35
ii  libcairo2                            1.12.2-2
ii  libfontconfig1                       2.9.0-7
ii  libfreetype6                         2.4.9-1
ii  libgdk-pixbuf2.0-0                   2.26.1-1
ii  libglib2.0-0                         2.32.3-1
ii  libgtk2.0-0                          2.24.10-2
ii  libpango1.0-0                        1.30.0-1
ii  libpython2.7                         2.7.3~rc2-2.1
ii  libx11-6                             2:1.5.0-1
ii  notification-daemon                  0.7.5-1
ii  python                               2.7.3~rc2-1
ii  python-dbus                          1.1.1-1
ii  python-gconf                         2.28.1+dfsg-1
ii  python-glade2                        2.24.0-3
ii  python-notify                        0.1.1-3
ii  python-vte                           1:0.28.2-5
ii  python2.7                            2.7.3~rc2-2.1
ii  xfce4-notifyd [notification-daemon]  0.2.2-2

guake recommends no packages.

guake suggests no packages.

-- no debconf information



Marked Bug as done Request was from Jakub Wilk <jwilk@debian.org> to control@bugs.debian.org. (Tue, 09 Oct 2012 19:33:12 GMT) Full text and rfc822 format available.

Notification sent to Bartek Krawczyk <bbartlomiej@gmail.com>:
Bug acknowledged by developer. (Tue, 09 Oct 2012 19:33:13 GMT) Full text and rfc822 format available.

Marked as fixed in versions guake/0.4.3-3. Request was from Jakub Wilk <jwilk@debian.org> to control@bugs.debian.org. (Tue, 09 Oct 2012 19:33:13 GMT) Full text and rfc822 format available.

Marked as found in versions guake/0.4.3-1 and guake/0.4.2-10. Request was from Jakub Wilk <jwilk@debian.org> to control@bugs.debian.org. (Tue, 09 Oct 2012 19:33:13 GMT) Full text and rfc822 format available.

Merged 674086 674087 676629 690000 Request was from Jakub Wilk <jwilk@debian.org> to control@bugs.debian.org. (Tue, 09 Oct 2012 19:33:15 GMT) Full text and rfc822 format available.

Severity set to 'serious' from 'important' Request was from Jakub Wilk <jwilk@debian.org> to control@bugs.debian.org. (Tue, 09 Oct 2012 19:39:08 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 08 Nov 2012 07:25:20 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 13:37:32 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.